1. Cryle's Avatar
    Forgive me if this has already been answered somewhere else before but I'm unable to update my Bold 9900.

    The error I'm receiving is stating that I require Blackberry Service to be eligible for said upgrade. The problem is - I do have Blackberry service! I'm able to send and receive email, browse, BBM, and all that fun stuff. I have called my provider (TBayTel/Rogers) and was told to look to a forum or call RIM.

    Steps I've taken:
    - Battery pull
    - Network Diagnostics (came back fine)
    - Called carrier (They reset stuff on their end)
    - OS reinstall (worked fine)
    - Factory restore

    I really don't want to spend $50 on a support incident from RIM so I was hoping you guys could help a poor guy out?

    EDIT: I forgot to mention I tried Loader.exe and removing vendor.xml from my system. Nothing about the new update shows up in loader even though the files are there and compatible with this device.
    Last edited by Cryle; 05-08-12 at 06:55 PM.
    05-08-12 10:12 AM
  2. tfp's Avatar
    All I can suggest is to check for a second vendor.xml file. I know sometimes theres an additional one hidden.

    Also, is your phone activated on the TBayTel/Rogers network? I know when I was trying to upgrade a 9360 that I had just unlocked, I had to insert my Rogers sim card into it so it would be "active", once I did that, it upgraded without a problem.
    05-08-12 10:37 AM
  3. Cryle's Avatar
    I did check for a second vendor.xml file and delete it. It didn't seem to make any difference. I have my SIM card in and the phone is activated on the network as far as I know.

    Thanks though, I may just have to pay the $50
    05-08-12 10:56 AM
  4. papped's Avatar
    What is reporting the error message? Are you doing an OTA update or a desktop install?
    05-08-12 02:55 PM
  5. Cryle's Avatar
    I'm doing a desktop install. Blackberry Desktop Manager is reporting the error. I talked to my carrier and some support people and was given a few things to try and some information on the issue:

    From talking to them, the issue is only affecting people with phones through TBayTel. Possibly due to the fact that their network is somehow through Rogers and TBayTel at the same time.

    I used JL_Cmder to wipe the OS off my phone and am attempting to load it using the Desktop Manager to put the new version on. I'll report back with any successes/failures/weirdness that occurs.
    ___________________________
    WE HAVE A SUCCESSFUL FIX!

    Steps to fix this (annoying) issue:
    - Back up the phone using Blackberry Desktop Manager
    - Download JL_Cmder (Only works on 32bit versions of Windows)
    - Use JL_Cmder to wipe the phone resulting in error 507
    - Install the new software on the computer from the Blackberry support website
    - Use Loader.exe (Found at C:\Program Files (x86)\Common Files\Research In Motion\AppLoader on 64-bit systems and C:\Program Files\Common Files\Research In Motion\AppLoader on 32-bit systems) to install the new operating system
    - Wait.
    - If the install hangs at waiting for JVM and the phone is still displaying the error, pull the battery and replace it.
    - Restore from backup

    These steps worked for me. I tried using BBSAK to wipe the phone without success however YMMV.

    Thanks for the help!
    Last edited by Cryle; 05-08-12 at 06:54 PM.
    05-08-12 06:01 PM
  6. tfp's Avatar
    A few extra things:

    Make sure that all other versions of BBOS are uninstalled from your computer, regardless of device model or OS version. I've found sometimes this causes a problem.

    Try removing and installing OS 7.1.0.391 (or whichever OS version you're trying to upgrade to) and then searching for and deleting all vendor.xml files. Then try running the loader.exe file again and see what happens.

    I'd be happy to help in any way I can for free of course lol
    05-09-12 11:41 AM
LINK TO POST COPIED TO CLIPBOARD